/**
 *#########################################################################
 *
 * A component of the Gatherer application, part of the Greenstone digital
 * library suite from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * <BR><BR>
 *
 * Author: John Thompson, Greenstone Digital Library, University of Waikato
 *
 * <BR><BR>
 *
 * Copyright (C) 1999 New Zealand Digital Library Project
 *
 * <BR><BR>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * <BR><BR>
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * <BR><BR>
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *########################################################################
 */

 




package org.greenstone.gatherer.gui;
import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.Toolkit;
import javax.swing.BorderFactory;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;
import org.greenstone.gatherer.util.Utility;
final public class Splash 
	 extends JDialog {
	 private Dimension size = new Dimension(450,450);
	 public Splash() {
		  super();
		  setSize(size);
		  setUndecorated(true);
		  JPanel content_pane = (JPanel) getContentPane();
		  JLabel logo = new JLabel(Utility.getImage("gatherer.gif"));
		  content_pane.setBorder(BorderFactory.createRaisedBevelBorder());
		  content_pane.setLayout(new BorderLayout());
		  content_pane.add(logo, BorderLayout.CENTER);
		  // Center and display
		  Dimension screen_size = Toolkit.getDefaultToolkit().getScreenSize();
		  setLocation((screen_size.width - size.width) / 2, (screen_size.height - size.height) / 2);
		  show();				
	 }
	 /** Destructor. */
	 public void destroy() {
		  dispose();
		  rootPane = null;
	 }
}
